#ifndef __INC_POS_PPREFS_PREFSLIBDATA_H
#define __INC_POS_PPREFS_PREFSLIBDATA_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Papajewski
 $DAT >>PrefsLibData.h<<   27 Jan 1997    11:23:29 - (C) ProDAD
*******************************************************************/

#ifndef __INC_POS_PEXEC_TYPES_H
#include <pExec/Types.h>
#endif



/*----------------------------------
-----------------------------------*/
struct pOS_PrefsLibData
{
  const CHAR        *pld_Name;  /* Name fuer Listeneintrag und File */
  const CHAR        *pld_File;
  const CHAR        *pld_SubDir;/* Name fuer Unterverzeichnis */
  ULONG              pld_Flags; /* (enum pOS_PrefsFlags)
                                   ber diese Maske werden die
                                   entsprechenden Menu-Punkte
                                   aktiviert bzw. deaktiviert */
  const struct pOS_TagItem *pld_Tags;
};



enum pOS_PrefsFlags {
  PRFF_Info      = (1L << 0), /* PrefsLibrary kann
                                 Informations-Gadget erzeugen */

  PRFF_Default   = (1L << 1), /* kann Default-Werte setzen */
  PRFF_LastSaved = (1L << 2), /* kann zuletzt gespeicherte Werte setzen */
  PRFF_Restore   = (1L << 3), /* kann vorherigen Zustand wiederherstellen */

  PRFF_NoFile    = (1L << 7), /* es wird kein PrefsFile geschrieben
                                 z.B. Uhrzeit / Datum */
};


enum pOS_PrefsSaveFlags {
  PRFSAVF_Save  = (1L << 0),  /* gesetzt wenn SAVE-Button gedrckt
                                 wurde - sonst wurde USE gewhlt
                                 ist eigentlich nur fr Prefs-
                                 Einsteller interessant, die keine
                                 Datei schreiben (z.B. Uhr/Datum) */
};


#endif
