#ifndef __INC_POS_PPREFS_PREFSTAGS_H
#define __INC_POS_PPREFS_PREFSTAGS_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Michael Christoph
 $DAT >>PrefsTags.h<<   10 Mar 1997    16:02:31 - (C) ProDAD
*******************************************************************/

#ifndef __INC_POS_PUTIL_TAGITEM_H
#include <pUtil/TagItem.h>
#endif


enum pOS_PrefsTags {
  PRFTAG_Dummy = TAG_USER + 0x0f0000,

  /* Prefs Library */
  PRFTAG_GadgetNum,                          /* UWORD */

  PRFTAG_StatusGad,                          /* pOS_Gadget*  [.S.] */


  /* WeekDay Gadget */
  PRFWEDYTAG_Year = PRFTAG_Dummy + 0x0100,   /* UWORD [IS.] */
  PRFWEDYTAG_Month,                          /* UBYTE [IS.] */
  PRFWEDYTAG_Day,                            /* UBYTE [ISG] */


  /* Date Prefs Gadget */
  PRFDATETAG_Year = PRFTAG_Dummy + 0x0120,   /* UWORD [ISG] */
  PRFDATETAG_Month,                          /* UBYTE [ISG] */
  PRFDATETAG_Day,                            /* UBYTE [ISG] */
  PRFDATETAG_Today,                          /* BOOL  [IS.] */

  /* Time Prefs Gadget */
  PRFTIMETAG_Hour = PRFTAG_Dummy + 0x0140,   /* UBYTE [ISG] */
  PRFTIMETAG_Min,                            /* UBYTE [ISG] */
  PRFTIMETAG_Sec,                            /* UBYTE [ISG] */
  PRFTIMETAG_CurrentTime,                    /* BOOL  [IS.] */

  /* Digi IObj */
  PRFDIGITAG_Number= PRFTAG_Dummy + 0x0160,  /* UBYTE [ISG] '0'-'9' & 0xFF fr ':' */

  /* Time Disp Gadget */
  PRFTIDSTAG_Hour = PRFTAG_Dummy + 0x0180,   /* UBYTE [IS.] */
  PRFTIDSTAG_Min,                            /* UBYTE [IS.] */
  PRFTIDSTAG_Sec,                            /* UBYTE [IS.] */
  PRFTIDSTAG_CurrentTime,                    /* BOOL  [IS.] */


  /* Serial Prefs Gadget */
  PRFSERTAG_AvailBautRates = PRFTAG_Dummy + 0x0200,/* const ULONG* [I..]  NULL terminiert */
  PRFSERTAG_AvailBufferSizes,                /* const ULONG*  [I..] */
  PRFSERTAG_AvailProtocols,                  /* const CHAR**  [I..] */
  PRFSERTAG_AvailParities,                   /* const CHAR**  [I..] */
  PRFSERTAG_AvailDataBits,                   /* const CHAR**  [I..] */
  PRFSERTAG_AvailStopBits,                   /* const CHAR**  [I..] */

  PRFSERTAG_BautRate,                        /* ULONG [.SG] */
  PRFSERTAG_BufferSize,                      /* ULONG [.SG] */
  PRFSERTAG_Protocol,                        /* ULONG [.SG] */
  PRFSERTAG_Parity,                          /* ULONG [.SG] */
  PRFSERTAG_DataBits,                        /* ULONG [.SG] */
  PRFSERTAG_StopBits,                        /* ULONG [.SG] */


  /* Sound Prefs Gadget */
  PRFSNDTAG_First = PRFTAG_Dummy + 0x0300,

  PRFSNDTAG_PrivatData,                      /* Privat datas !! Do not used */

};


#define PRFDIGI_Point 0xFF


#endif
